using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace Core.XgMes.Client.Control
{
	/// <summary>
	/// 中板成品库存综合查询统计分析控件
	/// </summary>
	public class ctlKCJListStat : System.Windows.Forms.UserControl
	{
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatButtress;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatRollNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatBilletID;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatDeteMarHeat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatResult;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatCutSide;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatRole;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatPlanNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatCondole;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatSend;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatOrgan;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatSendOnly;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_StatInTime;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_OPlanNOStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_NOrderNOStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_OOrderNOStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_HeatStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_PlyStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_WidthStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_LengthStat;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_FaceQuanlity;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_StatPrd;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_StatStoveNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor Chk_StatRemark;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_shdw;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_DZ;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_jhq;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultchkPactnoDW;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_ysfs;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_SYSJ;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor ultchkcplx;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor uchk_InSteel;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor uchk_Steel;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor uchk_FSteel;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor uck_Pactno;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_JHZT;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_RCL;
        private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_YLZL;
		/// <summary> 
		/// 必需的设计器变量。
		/// </summary>
		private System.ComponentModel.Container components = null;

		public ctlKCJListStat()
		{
			// 该调用是 Windows.Forms 窗体设计器所必需的。
			InitializeComponent();

			// TODO: 在 InitializeComponent 调用后添加任何初始化

		}

		/// <summary> 
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region 组件设计器生成的代码
		/// <summary> 
		/// 设计器支持所需的方法 - 不要使用代码编辑器 
		/// 修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
            Infragistics.Win.Appearance appearance1 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance2 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance3 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance4 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance5 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance6 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance7 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance8 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance9 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance10 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance11 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance12 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance13 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance14 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance15 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance16 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance17 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance18 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance19 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance20 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance21 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance22 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance23 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance24 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance25 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance26 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance27 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance28 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance29 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance30 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance31 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance32 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance33 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance34 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance35 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance36 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance37 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance38 = new Infragistics.Win.Appearance();
            this.chk_StatButtress = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatRollNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatBilletID = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatDeteMarHeat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatResult = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatCutSide = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatRole = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatPlanNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatCondole = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatSend = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatOrgan = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatSendOnly = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_StatInTime = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_OPlanNOStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_NOrderNOStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_OOrderNOStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_HeatStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_PlyStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_WidthStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_LengthStat = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_FaceQuanlity = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Chk_StatPrd = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Chk_StatStoveNO = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.Chk_StatRemark = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_shdw = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_DZ = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_jhq = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.ultchkPactnoDW = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_ysfs = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_SYSJ = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.ultchkcplx = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.uchk_InSteel = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.uchk_Steel = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.uchk_FSteel = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.uck_Pactno = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_JHZT = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_RCL = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_YLZL = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.SuspendLayout();
            // 
            // chk_StatButtress
            // 
            appearance1.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatButtress.Appearance = appearance1;
            this.chk_StatButtress.Location = new System.Drawing.Point(0, 2);
            this.chk_StatButtress.Name = "chk_StatButtress";
            this.chk_StatButtress.Size = new System.Drawing.Size(102, 20);
            this.chk_StatButtress.TabIndex = 34;
            this.chk_StatButtress.Text = "堆位";
            // 
            // chk_StatRollNO
            // 
            appearance2.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatRollNO.Appearance = appearance2;
            this.chk_StatRollNO.Location = new System.Drawing.Point(98, 2);
            this.chk_StatRollNO.Name = "chk_StatRollNO";
            this.chk_StatRollNO.Size = new System.Drawing.Size(92, 20);
            this.chk_StatRollNO.TabIndex = 35;
            this.chk_StatRollNO.Text = "轧编号";
            // 
            // chk_StatBilletID
            // 
            appearance3.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatBilletID.Appearance = appearance3;
            this.chk_StatBilletID.Location = new System.Drawing.Point(0, 52);
            this.chk_StatBilletID.Name = "chk_StatBilletID";
            this.chk_StatBilletID.Size = new System.Drawing.Size(102, 20);
            this.chk_StatBilletID.TabIndex = 36;
            this.chk_StatBilletID.Text = "序号";
            // 
            // chk_StatDeteMarHeat
            // 
            appearance4.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatDeteMarHeat.Appearance = appearance4;
            this.chk_StatDeteMarHeat.Location = new System.Drawing.Point(0, 69);
            this.chk_StatDeteMarHeat.Name = "chk_StatDeteMarHeat";
            this.chk_StatDeteMarHeat.Size = new System.Drawing.Size(102, 20);
            this.chk_StatDeteMarHeat.TabIndex = 37;
            this.chk_StatDeteMarHeat.Text = "含探伤";
            // 
            // chk_StatResult
            // 
            appearance5.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatResult.Appearance = appearance5;
            this.chk_StatResult.Checked = true;
            this.chk_StatResult.CheckState = System.Windows.Forms.CheckState.Checked;
            this.chk_StatResult.Location = new System.Drawing.Point(0, 86);
            this.chk_StatResult.Name = "chk_StatResult";
            this.chk_StatResult.Size = new System.Drawing.Size(102, 20);
            this.chk_StatResult.TabIndex = 38;
            this.chk_StatResult.Text = "含判定结果";
            // 
            // chk_StatCutSide
            // 
            appearance6.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatCutSide.Appearance = appearance6;
            this.chk_StatCutSide.Location = new System.Drawing.Point(98, 137);
            this.chk_StatCutSide.Name = "chk_StatCutSide";
            this.chk_StatCutSide.Size = new System.Drawing.Size(92, 20);
            this.chk_StatCutSide.TabIndex = 39;
            this.chk_StatCutSide.Text = "含切边";
            // 
            // chk_StatRole
            // 
            appearance7.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatRole.Appearance = appearance7;
            this.chk_StatRole.Location = new System.Drawing.Point(0, 155);
            this.chk_StatRole.Name = "chk_StatRole";
            this.chk_StatRole.Size = new System.Drawing.Size(102, 20);
            this.chk_StatRole.TabIndex = 40;
            this.chk_StatRole.Text = "含定尺";
            // 
            // chk_StatPlanNO
            // 
            appearance8.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatPlanNO.Appearance = appearance8;
            this.chk_StatPlanNO.Location = new System.Drawing.Point(0, 18);
            this.chk_StatPlanNO.Name = "chk_StatPlanNO";
            this.chk_StatPlanNO.Size = new System.Drawing.Size(102, 20);
            this.chk_StatPlanNO.TabIndex = 41;
            this.chk_StatPlanNO.Text = "现计划号";
            // 
            // chk_StatCondole
            // 
            appearance9.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatCondole.Appearance = appearance9;
            this.chk_StatCondole.Location = new System.Drawing.Point(98, 52);
            this.chk_StatCondole.Name = "chk_StatCondole";
            this.chk_StatCondole.Size = new System.Drawing.Size(92, 20);
            this.chk_StatCondole.TabIndex = 42;
            this.chk_StatCondole.Text = "含吊号";
            // 
            // chk_StatSend
            // 
            appearance10.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatSend.Appearance = appearance10;
            this.chk_StatSend.Location = new System.Drawing.Point(0, 173);
            this.chk_StatSend.Name = "chk_StatSend";
            this.chk_StatSend.Size = new System.Drawing.Size(102, 20);
            this.chk_StatSend.TabIndex = 43;
            this.chk_StatSend.Text = "含已发运";
            this.chk_StatSend.CheckedChanged += new System.EventHandler(this.chk_StatSend_CheckedChanged);
            // 
            // chk_StatOrgan
            // 
            appearance11.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatOrgan.Appearance = appearance11;
            this.chk_StatOrgan.Location = new System.Drawing.Point(0, 103);
            this.chk_StatOrgan.Name = "chk_StatOrgan";
            this.chk_StatOrgan.Size = new System.Drawing.Size(102, 20);
            this.chk_StatOrgan.TabIndex = 44;
            this.chk_StatOrgan.Text = "含船检结果";
            // 
            // chk_StatSendOnly
            // 
            appearance12.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatSendOnly.Appearance = appearance12;
            this.chk_StatSendOnly.Location = new System.Drawing.Point(98, 174);
            this.chk_StatSendOnly.Name = "chk_StatSendOnly";
            this.chk_StatSendOnly.Size = new System.Drawing.Size(92, 20);
            this.chk_StatSendOnly.TabIndex = 45;
            this.chk_StatSendOnly.Text = "仅已发运";
            this.chk_StatSendOnly.CheckedChanged += new System.EventHandler(this.chk_StatSendOnly_CheckedChanged);
            // 
            // chk_StatInTime
            // 
            appearance13.BackColor = System.Drawing.Color.LightCyan;
            this.chk_StatInTime.Appearance = appearance13;
            this.chk_StatInTime.Location = new System.Drawing.Point(0, 191);
            this.chk_StatInTime.Name = "chk_StatInTime";
            this.chk_StatInTime.Size = new System.Drawing.Size(102, 20);
            this.chk_StatInTime.TabIndex = 47;
            this.chk_StatInTime.Text = "含入库信息";
            // 
            // chk_OPlanNOStat
            // 
            appearance14.BackColor = System.Drawing.Color.LightCyan;
            this.chk_OPlanNOStat.Appearance = appearance14;
            this.chk_OPlanNOStat.Location = new System.Drawing.Point(98, 18);
            this.chk_OPlanNOStat.Name = "chk_OPlanNOStat";
            this.chk_OPlanNOStat.Size = new System.Drawing.Size(92, 20);
            this.chk_OPlanNOStat.TabIndex = 48;
            this.chk_OPlanNOStat.Text = "原计划号";
            // 
            // chk_NOrderNOStat
            // 
            appearance15.BackColor = System.Drawing.Color.LightCyan;
            this.chk_NOrderNOStat.Appearance = appearance15;
            this.chk_NOrderNOStat.Location = new System.Drawing.Point(0, 34);
            this.chk_NOrderNOStat.Name = "chk_NOrderNOStat";
            this.chk_NOrderNOStat.Size = new System.Drawing.Size(102, 20);
            this.chk_NOrderNOStat.TabIndex = 49;
            this.chk_NOrderNOStat.Text = "现订单号";
            // 
            // chk_OOrderNOStat
            // 
            appearance16.BackColor = System.Drawing.Color.LightCyan;
            this.chk_OOrderNOStat.Appearance = appearance16;
            this.chk_OOrderNOStat.Location = new System.Drawing.Point(98, 34);
            this.chk_OOrderNOStat.Name = "chk_OOrderNOStat";
            this.chk_OOrderNOStat.Size = new System.Drawing.Size(92, 20);
            this.chk_OOrderNOStat.TabIndex = 50;
            this.chk_OOrderNOStat.Text = "原订单号";
            // 
            // chk_HeatStat
            // 
            appearance17.BackColor = System.Drawing.Color.LightCyan;
            this.chk_HeatStat.Appearance = appearance17;
            this.chk_HeatStat.Location = new System.Drawing.Point(98, 69);
            this.chk_HeatStat.Name = "chk_HeatStat";
            this.chk_HeatStat.Size = new System.Drawing.Size(92, 20);
            this.chk_HeatStat.TabIndex = 51;
            this.chk_HeatStat.Text = "含正火";
            // 
            // chk_PlyStat
            // 
            appearance18.BackColor = System.Drawing.Color.LightCyan;
            this.chk_PlyStat.Appearance = appearance18;
            this.chk_PlyStat.Location = new System.Drawing.Point(0, 119);
            this.chk_PlyStat.Name = "chk_PlyStat";
            this.chk_PlyStat.Size = new System.Drawing.Size(80, 20);
            this.chk_PlyStat.TabIndex = 52;
            this.chk_PlyStat.Text = "厚";
            // 
            // chk_WidthStat
            // 
            appearance19.BackColor = System.Drawing.Color.LightCyan;
            this.chk_WidthStat.Appearance = appearance19;
            this.chk_WidthStat.Location = new System.Drawing.Point(52, 119);
            this.chk_WidthStat.Name = "chk_WidthStat";
            this.chk_WidthStat.Size = new System.Drawing.Size(80, 20);
            this.chk_WidthStat.TabIndex = 53;
            this.chk_WidthStat.Text = "宽";
            // 
            // chk_LengthStat
            // 
            appearance20.BackColor = System.Drawing.Color.LightCyan;
            this.chk_LengthStat.Appearance = appearance20;
            this.chk_LengthStat.Location = new System.Drawing.Point(0, 137);
            this.chk_LengthStat.Name = "chk_LengthStat";
            this.chk_LengthStat.Size = new System.Drawing.Size(102, 20);
            this.chk_LengthStat.TabIndex = 54;
            this.chk_LengthStat.Text = "含长度";
            // 
            // chk_FaceQuanlity
            // 
            appearance21.BackColor = System.Drawing.Color.LightCyan;
            this.chk_FaceQuanlity.Appearance = appearance21;
            this.chk_FaceQuanlity.Location = new System.Drawing.Point(98, 155);
            this.chk_FaceQuanlity.Name = "chk_FaceQuanlity";
            this.chk_FaceQuanlity.Size = new System.Drawing.Size(92, 20);
            this.chk_FaceQuanlity.TabIndex = 55;
            this.chk_FaceQuanlity.Text = "含表面";
            // 
            // Chk_StatPrd
            // 
            appearance22.BackColor = System.Drawing.Color.LightCyan;
            this.Chk_StatPrd.Appearance = appearance22;
            this.Chk_StatPrd.Location = new System.Drawing.Point(0, 210);
            this.Chk_StatPrd.Name = "Chk_StatPrd";
            this.Chk_StatPrd.Size = new System.Drawing.Size(102, 20);
            this.Chk_StatPrd.TabIndex = 56;
            this.Chk_StatPrd.Text = "含生产信息";
            // 
            // Chk_StatStoveNO
            // 
            appearance23.BackColor = System.Drawing.Color.LightCyan;
            this.Chk_StatStoveNO.Appearance = appearance23;
            this.Chk_StatStoveNO.Location = new System.Drawing.Point(98, 86);
            this.Chk_StatStoveNO.Name = "Chk_StatStoveNO";
            this.Chk_StatStoveNO.Size = new System.Drawing.Size(92, 20);
            this.Chk_StatStoveNO.TabIndex = 57;
            this.Chk_StatStoveNO.Text = "炉号";
            // 
            // Chk_StatRemark
            // 
            appearance24.BackColor = System.Drawing.Color.LightCyan;
            this.Chk_StatRemark.Appearance = appearance24;
            this.Chk_StatRemark.Location = new System.Drawing.Point(98, 191);
            this.Chk_StatRemark.Name = "Chk_StatRemark";
            this.Chk_StatRemark.Size = new System.Drawing.Size(92, 20);
            this.Chk_StatRemark.TabIndex = 58;
            this.Chk_StatRemark.Text = "备注";
            // 
            // chk_shdw
            // 
            appearance25.BackColor = System.Drawing.Color.LightCyan;
            this.chk_shdw.Appearance = appearance25;
            this.chk_shdw.Location = new System.Drawing.Point(47, 231);
            this.chk_shdw.Name = "chk_shdw";
            this.chk_shdw.Size = new System.Drawing.Size(84, 17);
            this.chk_shdw.TabIndex = 66;
            this.chk_shdw.Text = "收货单位";
            // 
            // chk_DZ
            // 
            appearance26.BackColor = System.Drawing.Color.LightCyan;
            this.chk_DZ.Appearance = appearance26;
            this.chk_DZ.Location = new System.Drawing.Point(0, 231);
            this.chk_DZ.Name = "chk_DZ";
            this.chk_DZ.Size = new System.Drawing.Size(56, 17);
            this.chk_DZ.TabIndex = 65;
            this.chk_DZ.Text = "到站";
            // 
            // chk_jhq
            // 
            appearance27.BackColor = System.Drawing.Color.LightCyan;
            this.chk_jhq.Appearance = appearance27;
            this.chk_jhq.Location = new System.Drawing.Point(98, 210);
            this.chk_jhq.Name = "chk_jhq";
            this.chk_jhq.Size = new System.Drawing.Size(92, 20);
            this.chk_jhq.TabIndex = 64;
            this.chk_jhq.Text = "交货日期";
            // 
            // ultchkPactnoDW
            // 
            appearance28.BackColor = System.Drawing.Color.LightCyan;
            this.ultchkPactnoDW.Appearance = appearance28;
            this.ultchkPactnoDW.Location = new System.Drawing.Point(98, 103);
            this.ultchkPactnoDW.Name = "ultchkPactnoDW";
            this.ultchkPactnoDW.Size = new System.Drawing.Size(92, 20);
            this.ultchkPactnoDW.TabIndex = 69;
            this.ultchkPactnoDW.Text = "合同单位";
            // 
            // chk_ysfs
            // 
            appearance29.BackColor = System.Drawing.Color.LightCyan;
            this.chk_ysfs.Appearance = appearance29;
            this.chk_ysfs.Location = new System.Drawing.Point(121, 231);
            this.chk_ysfs.Name = "chk_ysfs";
            this.chk_ysfs.Size = new System.Drawing.Size(87, 16);
            this.chk_ysfs.TabIndex = 70;
            this.chk_ysfs.Text = "运输方式";
            // 
            // chk_SYSJ
            // 
            appearance30.BackColor = System.Drawing.Color.LightCyan;
            this.chk_SYSJ.Appearance = appearance30;
            this.chk_SYSJ.Location = new System.Drawing.Point(98, 118);
            this.chk_SYSJ.Name = "chk_SYSJ";
            this.chk_SYSJ.Size = new System.Drawing.Size(92, 20);
            this.chk_SYSJ.TabIndex = 71;
            this.chk_SYSJ.Text = "收样时间";
            // 
            // ultchkcplx
            // 
            appearance31.BackColor = System.Drawing.Color.LightCyan;
            this.ultchkcplx.Appearance = appearance31;
            this.ultchkcplx.Location = new System.Drawing.Point(0, 248);
            this.ultchkcplx.Name = "ultchkcplx";
            this.ultchkcplx.Size = new System.Drawing.Size(80, 20);
            this.ultchkcplx.TabIndex = 72;
            this.ultchkcplx.Text = "产品类型";
            // 
            // uchk_InSteel
            // 
            appearance32.BackColor = System.Drawing.Color.LightCyan;
            this.uchk_InSteel.Appearance = appearance32;
            this.uchk_InSteel.Location = new System.Drawing.Point(193, 2);
            this.uchk_InSteel.Name = "uchk_InSteel";
            this.uchk_InSteel.Size = new System.Drawing.Size(92, 20);
            this.uchk_InSteel.TabIndex = 73;
            this.uchk_InSteel.Text = "入库牌号";
            // 
            // uchk_Steel
            // 
            appearance33.BackColor = System.Drawing.Color.LightCyan;
            this.uchk_Steel.Appearance = appearance33;
            this.uchk_Steel.Location = new System.Drawing.Point(193, 20);
            this.uchk_Steel.Name = "uchk_Steel";
            this.uchk_Steel.Size = new System.Drawing.Size(92, 20);
            this.uchk_Steel.TabIndex = 74;
            this.uchk_Steel.Text = "牌号";
            // 
            // uchk_FSteel
            // 
            appearance34.BackColor = System.Drawing.Color.LightCyan;
            this.uchk_FSteel.Appearance = appearance34;
            this.uchk_FSteel.Location = new System.Drawing.Point(193, 38);
            this.uchk_FSteel.Name = "uchk_FSteel";
            this.uchk_FSteel.Size = new System.Drawing.Size(92, 20);
            this.uchk_FSteel.TabIndex = 75;
            this.uchk_FSteel.Text = "副牌号";
            // 
            // uck_Pactno
            // 
            appearance35.BackColor = System.Drawing.Color.LightCyan;
            this.uck_Pactno.Appearance = appearance35;
            this.uck_Pactno.Location = new System.Drawing.Point(193, 58);
            this.uck_Pactno.Name = "uck_Pactno";
            this.uck_Pactno.Size = new System.Drawing.Size(92, 20);
            this.uck_Pactno.TabIndex = 76;
            this.uck_Pactno.Text = "合同号";
            // 
            // chk_JHZT
            // 
            appearance36.BackColor = System.Drawing.Color.LightCyan;
            this.chk_JHZT.Appearance = appearance36;
            this.chk_JHZT.Location = new System.Drawing.Point(192, 77);
            this.chk_JHZT.Name = "chk_JHZT";
            this.chk_JHZT.Size = new System.Drawing.Size(92, 20);
            this.chk_JHZT.TabIndex = 77;
            this.chk_JHZT.Text = "交货状态";
            // 
            // chk_RCL
            // 
            appearance37.BackColor = System.Drawing.Color.LightCyan;
            this.chk_RCL.Appearance = appearance37;
            this.chk_RCL.Location = new System.Drawing.Point(191, 95);
            this.chk_RCL.Name = "chk_RCL";
            this.chk_RCL.Size = new System.Drawing.Size(92, 20);
            this.chk_RCL.TabIndex = 78;
            this.chk_RCL.Text = "热处理号";
            // 
            // chk_YLZL
            // 
            appearance38.BackColor = System.Drawing.Color.LightCyan;
            this.chk_YLZL.Appearance = appearance38;
            this.chk_YLZL.Location = new System.Drawing.Point(190, 113);
            this.chk_YLZL.Name = "chk_YLZL";
            this.chk_YLZL.Size = new System.Drawing.Size(92, 20);
            this.chk_YLZL.TabIndex = 79;
            this.chk_YLZL.Text = "原料重量";
            // 
            // ctlZBTurnoffListStat
            // 
            this.Controls.Add(this.chk_YLZL);
            this.Controls.Add(this.chk_RCL);
            this.Controls.Add(this.chk_JHZT);
            this.Controls.Add(this.uck_Pactno);
            this.Controls.Add(this.uchk_FSteel);
            this.Controls.Add(this.uchk_Steel);
            this.Controls.Add(this.uchk_InSteel);
            this.Controls.Add(this.chk_ysfs);
            this.Controls.Add(this.chk_shdw);
            this.Controls.Add(this.chk_DZ);
            this.Controls.Add(this.ultchkcplx);
            this.Controls.Add(this.chk_StatCutSide);
            this.Controls.Add(this.chk_SYSJ);
            this.Controls.Add(this.ultchkPactnoDW);
            this.Controls.Add(this.chk_jhq);
            this.Controls.Add(this.Chk_StatRemark);
            this.Controls.Add(this.Chk_StatStoveNO);
            this.Controls.Add(this.Chk_StatPrd);
            this.Controls.Add(this.chk_FaceQuanlity);
            this.Controls.Add(this.chk_LengthStat);
            this.Controls.Add(this.chk_WidthStat);
            this.Controls.Add(this.chk_PlyStat);
            this.Controls.Add(this.chk_HeatStat);
            this.Controls.Add(this.chk_OOrderNOStat);
            this.Controls.Add(this.chk_NOrderNOStat);
            this.Controls.Add(this.chk_OPlanNOStat);
            this.Controls.Add(this.chk_StatInTime);
            this.Controls.Add(this.chk_StatSendOnly);
            this.Controls.Add(this.chk_StatOrgan);
            this.Controls.Add(this.chk_StatSend);
            this.Controls.Add(this.chk_StatCondole);
            this.Controls.Add(this.chk_StatPlanNO);
            this.Controls.Add(this.chk_StatRole);
            this.Controls.Add(this.chk_StatResult);
            this.Controls.Add(this.chk_StatDeteMarHeat);
            this.Controls.Add(this.chk_StatBilletID);
            this.Controls.Add(this.chk_StatRollNO);
            this.Controls.Add(this.chk_StatButtress);
            this.Name = "ctlZBTurnoffListStat";
            this.Size = new System.Drawing.Size(285, 269);
            this.ResumeLayout(false);

		}
		#endregion

		#region "Property

        private string _SelectStr = "SELECT 1 THEORYWEIGHTZL  ";
        //+ "COUNT(A.BILLETID) QUANTITY,SUM(A.THEORYWEIGHT) THEORYWEIGHT ";
        private string _FromStr = "FROM KCJ_TURNOFFLIST A,KCJ_TURNOFFBUTTRESSLIST B,SEL_PACTDETAIL C WHERE A.BILLETID=B.BILLETID AND A.STORAGESTATUS='501602' AND A.ISVALID='1' ";
        private string _GroupbyStr = " GROUP BY A.DETERMINANTCARDNUMBER,C.MULTISTEELNAME,BUYERCODE ";

        private string _SendSelectStr = " SELECT TO_CHAR(B.PICKSTORAGETIME,'YY-MM-DD HH24') PICKSTORAGETIME,B.LISTNUMBER ";
        private string _SendGroupby = " GROUP BY A.DETERMINANTCARDNUMBER,B.PICKSTORAGETIME,B.LISTNUMBER,C.MULTISTEELNAME,BUYERCODE";
        private string _SendFromStr = " FROM KCJ_TURNOFFLIST A,KCJ_TURNOFFSENDLIST B,SEL_PACTDETAIL C WHERE A.BILLETID=B.SERIALNUMBER AND B.ISVALID<>'0' AND B.DUMMYSENDFLAG<>'1' AND B.SENDTYPE<='1' AND A.ISVALID='1' ";

        private string _CSendSelectStr = " SELECT  TO_CHAR(B.PICKSTORAGETIME,'YY-MM-DD HH24') PICKSTORAGETIME,B.LISTNUMBER";
        private string _CSendGroupBy = " GROUP BY A.DETERMINANTCARDNUMBER,B.PICKSTORAGETIME,B.LISTNUMBER,BUYERCODE";
        private string _CSendFromStr = " FROM KCJ_TURNOFFLIST A,KCJ_TURNOFFSENDLIST B,SEL_PACTINFO_CLEAR C WHERE A.BILLETID=B.SERIALNUMBER AND B.ISVALID<>'0' AND B.DUMMYSENDFLAG<>'1' AND B.SENDTYPE<='1' AND A.ISVALID='1' ";
        //+" AND B.BUTTRESS=D.BUTTRESS(+) AND D.BUTTRESS(+) NOT IN('虚拟堆位','预装发运')";
        private void chk_StatSendOnly_CheckedChanged(object sender, System.EventArgs e)
        {
            if (this.chk_StatSendOnly.Checked)
            {
                this.chk_StatSend.Checked = false;
            }
        }

        private void chk_StatSend_CheckedChanged(object sender, System.EventArgs e)
        {
            if (this.chk_StatSend.Checked)
            {
                this.chk_StatSendOnly.Checked = false;
            }
        }

        public System.Collections.ArrayList SendSelectStr
        {
            get
            {
                if (this.chk_StatSend.Checked | this.chk_StatSendOnly.Checked)
                {
                    System.Collections.ArrayList rtnList = new ArrayList();
                    string rtnStr = _SendSelectStr;
                    string CrtnStr = _CSendSelectStr;

                    if (this.chk_StatButtress.Checked)
                    {
                        rtnStr = rtnStr + ",B.BUTTRESS ";
                        CrtnStr = CrtnStr + ",B.BUTTRESS ";
                    }
                    if (this.chk_StatRollNO.Checked)
                    {
                        rtnStr = rtnStr + ",B.ROLLNO ROLLNUMBER ";
                        CrtnStr = CrtnStr + ",B.ROLLNO ROLLNUMBER ";
                    }
                    if (this.chk_StatPlanNO.Checked)
                    {
                        rtnStr = rtnStr + ",C.PACTNO,C.PACTINDEX ";
                        CrtnStr = CrtnStr + ",C.PACTNO,C.PACTINDEX ";
                    }
                    //add by lyp 20120831 zhengjiajiaohuzhantai
                    if (this.chk_JHZT.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT MEMO FROM SCM_BASE_INFO WHERE ID_= SEL_PUBLIC_K.FSEL_GETSTANDROLL_STATUS(NVL(C.STANDROLLER,'0')))JHZT ";
                        //CrtnStr = CrtnStr + ",(SELECT MEMO FROM SCM_BASE_INFO WHERE ID_= SEL_PUBLIC_K.FSEL_GETSTANDROLL_STATUS(NVL(C.STANDROLLER,'0')))JHZT ";
                    }
                    if (this.chk_ysfs.Checked)
                    {
                        rtnStr = rtnStr + ",C.TRANSTYPE ";
                        CrtnStr = CrtnStr + ",C.TRANSTYPE ";
                    }
                    if (this.chk_OPlanNOStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.PLANNO PLANNUMBER,b.PACTNO PACTNOINDEX ";
                        CrtnStr = CrtnStr + ",B.PLANNO PLANNUMBER ,b.PACTNO PACTNOINDEX";
                    }
                    if (this.chk_SYSJ.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR((SELECT MAX(T1.RECEIVETIME) FROM LH_SAMPLE_CONSIGN_MAIN T1 RIGHT JOIN LH_SAMPLE_CONSIGN_DETAIL T2 ON T1.WTBH = T2.WTBH WHERE T2.PID_MB_CB_ID = a.BILLETID), 'YYYY-MM-DD HH24:MI:SS')RECEIVETIME";
                        CrtnStr = CrtnStr + ",TO_CHAR((SELECT MAX(T1.RECEIVETIME) FROM LH_SAMPLE_CONSIGN_MAIN T1 RIGHT JOIN LH_SAMPLE_CONSIGN_DETAIL T2 ON T1.WTBH = T2.WTBH WHERE T2.PID_MB_CB_ID = a.BILLETID), 'YYYY-MM-DD HH24:MI:SS')RECEIVETIME";
                    }
                    if (this.chk_NOrderNOStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.ORDERFORMNUMBER ALLOTORDERFORM ";
                        CrtnStr = CrtnStr + ",B.ORDERFORMNUMBER ALLOTORDERFORM ";
                    }
                    if (this.chk_OOrderNOStat.Checked)
                    {
                        rtnStr = rtnStr + ",A.PLANORDERNO PLANORDERFORM ";
                        CrtnStr = CrtnStr + ",A.PLANORDERNO PLANORDERFORM ";
                    }
                    if (this.uchk_Steel.Checked)
                    {
                        rtnStr = rtnStr + ",A.DETERMINANTCARDNUMBER DETERMINANTCARDNUMBER ";
                        CrtnStr = CrtnStr + ",A.DETERMINANTCARDNUMBER DETERMINANTCARDNUMBER ";
                    }
                    if (this.chk_RCL.Checked)
                    {
                        rtnStr = rtnStr + ",A.RCL_STATE ";
                        CrtnStr = CrtnStr + ",A.RCL_STATE ";
                    }
                    if (this.uchk_InSteel.Checked)
                    {
                        rtnStr = rtnStr + ",A.Insteel INSTROAGESTEEL ";
                        CrtnStr = CrtnStr + ",A.Insteel INSTROAGESTEEL ";
                    }

                    if (this.uchk_FSteel.Checked)
                    {
                        rtnStr = rtnStr + ",C.MULTISTEELNAME  MULTISTEELNAME ";
                        //CrtnStr = CrtnStr + ",C.MULTISTEELNAME MULTISTEELNAME ";
                    }
                    if (this.chk_StatCondole.Checked)
                    {
                        rtnStr = rtnStr + ",B.CONDOLENUMBER ";
                        CrtnStr = CrtnStr + ",B.CONDOLENUMBER ";
                    }
                    //if (this.chk_Pactno.Checked)
                    //{
                    //    rtnStr = rtnStr + ",C.pactno ";
                    //    CrtnStr = CrtnStr + ",C.pactno ";
                    //}
                    if (this.chk_StatDeteMarHeat.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.DETECTMAR) DETECTMARBOOKIN ";
                        CrtnStr = CrtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.DETECTMAR) DETECTMARBOOKIN ";
                    }
                    if (this.chk_HeatStat.Checked)
                    {
                        rtnStr = rtnStr + ",DECODE(B.ISHEAT,'1','√',NULL) HEATDEAL ";
                        CrtnStr = CrtnStr + ",DECODE(B.ISHEAT,'1','√',NULL) HEATDEAL ";
                    }
                    if (this.chk_StatResult.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.DETERMINANTRESULT) DETERMINANTRESULT,A.DETERMINANTREASON,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.JUDGEEASONCODE) JUDGEEASONCODE ";
                        CrtnStr = CrtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.DETERMINANTRESULT) DETERMINANTRESULT,A.DETERMINANTREASON,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.JUDGEEASONCODE) JUDGEEASONCODE ";
                    }
                    if (this.chk_StatOrgan.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=C.CHECKORG) ATTESTATIONORGAN,B.ATTESTATIONRESULT ";
                        CrtnStr = CrtnStr + ",NULL ATTESTATIONORGAN,B.ATTESTATIONRESULT ";
                    }
                    if (this.chk_PlyStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.PLY ";
                        CrtnStr = CrtnStr + ",B.PLY ";
                    }
                    if (this.chk_WidthStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.WIDTH ";
                        CrtnStr = CrtnStr + ",B.WIDTH ";
                    }
                    if (this.chk_LengthStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.LENGTH ";
                        CrtnStr = CrtnStr + ",B.LENGTH ";
                    }
                    if (this.Chk_StatStoveNO.Checked)
                    {
                        rtnStr = rtnStr + ",B.STOVENO ";
                        CrtnStr = CrtnStr + ",B.STOVENO ";
                    }
                    if (this.uck_Pactno.Checked)
                    {
                        rtnStr = rtnStr + ",c.pactno ";
                        CrtnStr = CrtnStr + ",c.pactno ";
                    }
                    if (this.Chk_StatRemark.Checked)
                    {
                        rtnStr = rtnStr + ",NULL HANDREMARK ";
                        CrtnStr = CrtnStr + ",NULL HANDREMARK ";
                    }
                    if (this.chk_StatCutSide.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.CLIPTYPEPROCESS) CUTSIDESTATE ";
                        CrtnStr = CrtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.CLIPTYPEPROCESS) CUTSIDESTATE ";
                    }
                    if (this.chk_StatRole.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.ROLE) ROLE ";
                        CrtnStr = CrtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.ROLE) ROLE ";
                    }
                    if (this.chk_FaceQuanlity.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.FACEQUALITY) FACEQUALITY"
                            + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.BUGREASON) BUGREASON"
                            + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.DEGRADEREASON) DEGRADEREASON ";
                        CrtnStr = CrtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=B.FACEQUALITY) FACEQUALITY"
                            + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.BUGREASON) BUGREASON"
                            + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.DEGRADEREASON) DEGRADEREASON ";
                    }
                    if (this.chk_StatInTime.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD') INSTORAGETIME,A.INSTEEL INSTROAGESTEEL,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.INCLASSTEAM) INCLASSTEAM ";
                        CrtnStr = CrtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD') INSTORAGETIME,A.INSTEEL INSTROAGESTEEL,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.INCLASSTEAM) INCLASSTEAM ";
                    }
                    if (this.Chk_StatPrd.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD') PTIME,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.PCLASSTEAM) PCLASSTEAM ";
                        CrtnStr = CrtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD') PTIME,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.PCLASSTEAM) PCLASSTEAM ";
                    }

                    ///newcpxl
                    if (this.ultchkcplx.Checked)
                    {
                        rtnStr = rtnStr + ",(select name_ from scm_base_info where id_ = a.PRODUCT_NAME) PRODUCT_NAME ";
                        CrtnStr = CrtnStr + ",a.PRODUCT_NAME ";
                    }

                    if (this.chk_StatBilletID.Checked)
                    {
                        rtnStr = rtnStr + ",A.BILLETID,1 QUANTITY,B.WEIGHT THEORYWEIGHT ";
                        CrtnStr = CrtnStr + ",A.BILLETID,1 QUANTITY,B.WEIGHT THEORYWEIGHT ";
                    }
                    if (this.chk_jhq.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(C.SENDBEGINDATE,'YYYY-MM-DD') SENDBEGINDATE ";
                        CrtnStr = CrtnStr + ",TO_CHAR(C.SENDBEGINDATE,'YYYY-MM-DD') SENDBEGINDATE ";
                    }
                    if (this.chk_DZ.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT STATIONNAME FROM SEL_STATIONINFO WHERE STATIONCODE = C.STATIONCODE) STATIONCODE ";
                        CrtnStr = CrtnStr + ",(SELECT STATIONNAME FROM SEL_STATIONINFO WHERE STATIONCODE = C.STATIONCODE) STATIONCODE ";
                    }
                    if (this.chk_shdw.Checked)
                    {
                        rtnStr = rtnStr + ",(SELECT INCEPTCORPNAME FROM SEL_INCEPTCORPINFO WHERE INCEPTCORPCODE = C.INCEPTCORPCODE) INCEPTCORPCODE ";
                        CrtnStr = CrtnStr + ",(SELECT INCEPTCORPNAME FROM SEL_INCEPTCORPINFO WHERE INCEPTCORPCODE = C.INCEPTCORPCODE) INCEPTCORPCODE ";
                    }
                    if (this.ultchkPactnoDW.Checked)
                    {
                        rtnStr = rtnStr + ",(select tt.buyername from sel_buyerbaseinfo tt WHERE tt.buyercode = C.BUYERCODE) BUYERCODE ";
                        CrtnStr = CrtnStr + ",(select tt.buyername from sel_buyerbaseinfo tt WHERE tt.buyercode = C.BUYERCODE) BUYERCODE ";
                    }
                    //					if(this.chk_rzjg.Checked)
                    //					{
                    //						rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_ = C.CHECKORG) CHECKORG ";
                    //						CrtnStr = CrtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_ = C.CHECKORG) CHECKORG ";
                    //					}
                    else
                    {
                        rtnStr = rtnStr + ",COUNT(A.BILLETID) QUANTITY,SUM(A.THEORYWEIGHT) THEORYWEIGHT  ";
                        CrtnStr = CrtnStr + ",COUNT(A.BILLETID) QUANTITY,SUM(A.THEORYWEIGHT) THEORYWEIGHT  ";
                    }
                    rtnStr = rtnStr + _SendFromStr;
                    CrtnStr = CrtnStr + _CSendFromStr;
                    rtnList.Add(rtnStr);
                    rtnList.Add(CrtnStr);
                    return rtnList;
                }
                else
                {
                    return null;
                }
            }
        }
        public System.Collections.ArrayList SendGroupby
        {
            get
            {
                if (this.chk_StatSend.Checked | this.chk_StatSendOnly.Checked)
                {
                    System.Collections.ArrayList rtnList = new ArrayList();
                    string rtnStr = _SendGroupby;
                    string CrtnStr = _CSendGroupBy;
                    if (this.chk_StatButtress.Checked)
                    {
                        rtnStr = rtnStr + ",B.BUTTRESS ";
                        CrtnStr = CrtnStr + ",B.BUTTRESS ";
                    }
                    if (this.chk_StatRollNO.Checked)
                    {
                        rtnStr = rtnStr + ",B.ROLLNO ";
                        CrtnStr = CrtnStr + ",B.ROLLNO ";
                    }
                    if (this.chk_StatPlanNO.Checked)
                    {
                        rtnStr = rtnStr + ",C.PACTNO,C.PACTINDEX ";
                        CrtnStr = CrtnStr + ",C.PACTNO,C.PACTINDEX ";
                    }
                    if (this.chk_JHZT.Checked)
                    {
                        rtnStr = rtnStr + ",C.STANDROLLER ";
                        //CrtnStr = CrtnStr + ",C.STANDROLLER ";
                    }
                    if (this.chk_RCL.Checked)
                    {
                        rtnStr = rtnStr + ",A.RCL_STATE ";
                        CrtnStr = CrtnStr + ",A.RCL_STATE ";
                    }
                    if (this.chk_ysfs.Checked)
                    {
                        rtnStr = rtnStr + ",C.TRANSTYPE,C.TRANSTYPE ";
                        CrtnStr = CrtnStr + ",C.TRANSTYPE,C.TRANSTYPE ";
                    }
                    if (this.chk_OPlanNOStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.PLANNO,b.PACTNO  ";
                        CrtnStr = CrtnStr + ",B.PLANNO,b.PACTNO  ";
                    }
                    if (this.chk_NOrderNOStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.ORDERFORMNUMBER ";
                        CrtnStr = CrtnStr + ",B.ORDERFORMNUMBER ";
                    }
                    if (this.chk_OOrderNOStat.Checked)
                    {
                        rtnStr = rtnStr + ",A.PLANORDERNO ";
                        CrtnStr = CrtnStr + ",A.PLANORDERNO ";
                    }
                    if (this.uck_Pactno.Checked)
                    {
                        rtnStr = rtnStr + ",c.pactno ";
                        CrtnStr = CrtnStr + ",c.pactno ";
                    }
                    if (this.uchk_InSteel.Checked)
                    {
                        rtnStr = rtnStr + ",A.Insteel ";
                        CrtnStr = CrtnStr + ",A.Insteel ";
                    }
                    if (this.uchk_Steel.Checked)
                    {
                        rtnStr = rtnStr + ",A.DETERMINANTCARDNUMBER ";
                        CrtnStr = CrtnStr + ",A.DETERMINANTCARDNUMBER ";
                    }
                    if (this.uchk_FSteel.Checked)
                    {
                        rtnStr = rtnStr + ",c.MULTISTEELNAME ";
                        //CrtnStr = CrtnStr + ",c.MULTISTEELNAME ";
                    }
                    if (this.chk_StatCondole.Checked)
                    {
                        rtnStr = rtnStr + ",B.CONDOLENUMBER ";
                        CrtnStr = CrtnStr + ",B.CONDOLENUMBER ";
                    }
                    if (this.chk_StatDeteMarHeat.Checked)
                    {
                        rtnStr = rtnStr + ",B.DETECTMAR ";
                        CrtnStr = CrtnStr + ",B.DETECTMAR ";
                    }
                    if (this.chk_HeatStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.ISHEAT ";
                        CrtnStr = CrtnStr + ",B.ISHEAT ";
                    }
                    if (this.chk_StatResult.Checked)
                    {
                        rtnStr = rtnStr + ",B.DETERMINANTRESULT,A.DETERMINANTREASON,B.JUDGEEASONCODE  ";
                        CrtnStr = CrtnStr + ",B.DETERMINANTRESULT,A.DETERMINANTREASON,B.JUDGEEASONCODE  ";
                    }
                    if (this.chk_StatOrgan.Checked)
                    {
                        rtnStr = rtnStr + ",C.CHECKORG,B.ATTESTATIONRESULT ";
                        CrtnStr = CrtnStr + ",B.ATTESTATIONRESULT ";
                    }

                    if (this.chk_SYSJ.Checked)
                    {
                        rtnStr = rtnStr + ",a.BILLETID ";
                        CrtnStr = CrtnStr + ",a.BILLETID ";
                    }

                    if (this.chk_PlyStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.PLY ";
                        CrtnStr = CrtnStr + ",B.PLY ";
                    }
                    if (this.chk_WidthStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.WIDTH ";
                        CrtnStr = CrtnStr + ",B.WIDTH ";
                    }
                    if (this.chk_LengthStat.Checked)
                    {
                        rtnStr = rtnStr + ",B.LENGTH ";
                        CrtnStr = CrtnStr + ",B.LENGTH ";
                    }
                    if (this.Chk_StatStoveNO.Checked)
                    {
                        rtnStr = rtnStr + ",B.STOVENO ";
                        CrtnStr = CrtnStr + ",B.STOVENO ";
                    }
                    //if (this.Chk_StatRemark.Checked)
                    //{
                    //    rtnStr = rtnStr + ",HANDREMARK ";
                    //    CrtnStr = CrtnStr + ",HANDREMARK ";
                    //}
                    if (this.chk_StatCutSide.Checked)
                    {
                        rtnStr = rtnStr + ",B.CLIPTYPEPROCESS ";
                        CrtnStr = CrtnStr + ",B.CLIPTYPEPROCESS ";
                    }
                    if (this.chk_StatRole.Checked)
                    {
                        rtnStr = rtnStr + ",B.ROLE ";
                        CrtnStr = CrtnStr + ",B.ROLE ";
                    }
                    if (this.chk_jhq.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(C.SENDBEGINDATE,'YYYY-MM-DD') ";
                        CrtnStr = CrtnStr + ",TO_CHAR(C.SENDBEGINDATE,'YYYY-MM-DD') ";
                    }
                    if (this.chk_DZ.Checked)
                    {
                        rtnStr = rtnStr + ",C.STATIONCODE ";
                        CrtnStr = CrtnStr + ",C.STATIONCODE ";
                    }
                    if (this.chk_shdw.Checked)
                    {
                        rtnStr = rtnStr + ",C.INCEPTCORPCODE ";
                        CrtnStr = CrtnStr + ",C.INCEPTCORPCODE ";
                    }
                    //					if(this.chk_rzjg.Checked)
                    //					{
                    //						rtnStr = rtnStr + ",C.CHECKORG ";
                    //						CrtnStr = CrtnStr + ",C.CHECKORG ";
                    //					}
                    if (this.chk_FaceQuanlity.Checked)
                    {
                        rtnStr = rtnStr + ",B.FACEQUALITY,A.BUGREASON,A.DEGRADEREASON ";
                        CrtnStr = CrtnStr + ",B.FACEQUALITY,A.BUGREASON,A.DEGRADEREASON ";
                    }
                    if (this.chk_StatInTime.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD'),A.INSTEEL,A.INCLASSTEAM ";
                        CrtnStr = CrtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD'),A.INSTEEL,A.INCLASSTEAM ";
                    }
                    if (this.Chk_StatPrd.Checked)
                    {
                        rtnStr = rtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD'),A.PCLASSTEAM ";
                        CrtnStr = CrtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD'),A.PCLASSTEAM ";
                    }
                    ///newcplx
                    if (this.ultchkcplx.Checked)
                    {
                        rtnStr = rtnStr + ",a.PRODUCT_NAME ";
                        //rtnStr = rtnStr + ",(select name_ from scm_base_info where id_ = a.PRODUCT_NAME) PRODUCT_NAME ";
                        CrtnStr = CrtnStr + ",a.PRODUCT_NAME ";
                    }
                    if (chk_StatBilletID.Checked)
                    {
                        rtnStr = rtnStr + ",B.WEIGHT ";
                        CrtnStr = CrtnStr + ",B.WEIGHT ";
                    }
                    //if(this.chk_StatBilletID.Checked)
                    //{
                    //    rtnStr = "";
                    //    rtnList.Add("");
                    //    CrtnStr = "";
                    //    rtnList.Add("");
                    //    return rtnList;
                    //}
                    rtnList.Add(rtnStr);
                    rtnList.Add(CrtnStr);
                    return rtnList;
                }
                else
                {
                    return null;
                }
            }
        }

        public System.Collections.ArrayList Groupby
        {
            get
            {
                System.Collections.ArrayList rtnList = new ArrayList();
                string rtnStr = _GroupbyStr;
                if (this.chk_StatSendOnly.Checked)
                {
                    return null;
                }
                if (this.chk_StatButtress.Checked)
                {
                    rtnStr = rtnStr + ",B.BUTTRESS";
                }
                if (this.chk_SYSJ.Checked)
                {
                    rtnStr = rtnStr + ",a.BILLETID ";
                    //CrtnStr = CrtnStr + ",RECEIVETIME ";
                }
                if (this.chk_StatRollNO.Checked)
                {
                    rtnStr = rtnStr + ",A.ROLLNUMBER";
                }
                if (this.chk_YLZL.Checked)
                {
                    rtnStr = rtnStr + ",A.BILLETID";
                }

                if (this.chk_StatPlanNO.Checked)
                {
                    rtnStr = rtnStr + ",C.PACTNO,C.PACTINDEX ";
                }
                if (this.chk_JHZT.Checked)
                {
                    rtnStr = rtnStr + ",C.STANDROLLER ";
                }
                if (this.uck_Pactno.Checked)
                {
                    rtnStr = rtnStr + ",C.PACTNO  ";
                }
                if (this.chk_ysfs.Checked)
                {
                    rtnStr = rtnStr + ",C.TRANSTYPE";
                }
                if (this.uck_Pactno.Checked)
                {
                    rtnStr = rtnStr + ",c.pactno";

                }
                if (this.uchk_InSteel.Checked)
                {
                    rtnStr = rtnStr + ",A.Insteel ";

                }
                if (this.uchk_Steel.Checked)
                {
                    rtnStr = rtnStr + ",A.DETERMINANTCARDNUMBER ";

                }
                if (this.uchk_FSteel.Checked)
                {
                    rtnStr = rtnStr + ",c.MULTISTEELNAME ";

                }
                if (this.chk_RCL.Checked)
                {
                    rtnStr = rtnStr + ",A.RCL_STATE ";

                }
                if (this.chk_OPlanNOStat.Checked)
                {
                    rtnStr = rtnStr + ",A.PLANNO ";
                }
                if (this.chk_NOrderNOStat.Checked)
                {
                    rtnStr = rtnStr + ",A.ORDERNO ";
                }
                if (this.chk_OOrderNOStat.Checked)
                {
                    rtnStr = rtnStr + ",A.PLANORDERNO ";
                }

                if (this.chk_StatDeteMarHeat.Checked)
                {
                    rtnStr = rtnStr + ",DETECTMARBOOKIN ";
                }
                if (this.chk_HeatStat.Checked)
                {
                    rtnStr = rtnStr + ",A.HEATDEAL ";
                }
                if (this.chk_StatResult.Checked)
                {
                    rtnStr = rtnStr + ",A.DETERMINANTRESULT,A.DETERMINANTREASON,A.JUDGEEASONCODE ";
                }
                if (this.chk_StatOrgan.Checked)
                {
                    rtnStr = rtnStr + ",C.CHECKORG,A.ATTESTATIONRESULT ";
                }
                if (this.chk_PlyStat.Checked)
                {
                    rtnStr = rtnStr + ",A.PLY ";
                }
                if (this.chk_StatCondole.Checked)
                {
                    rtnStr = rtnStr + ",B.CONDOLENUMBER ";


                }
                if (this.chk_WidthStat.Checked)
                {
                    rtnStr = rtnStr + ",A.WIDTH ";
                }
                if (this.chk_LengthStat.Checked)
                {
                    rtnStr = rtnStr + ",A.LENGTH ";
                }
                if (this.Chk_StatStoveNO.Checked)
                {
                    rtnStr = rtnStr + ",A.STOVENO ";
                }
                if (this.Chk_StatRemark.Checked)
                {
                    rtnStr = rtnStr + ",B.HANDREMARK ";
                }
                if (this.chk_StatCutSide.Checked)
                {
                    rtnStr = rtnStr + ",A.CLIPTYPEPROCESS ";
                }
                if (this.chk_StatRole.Checked)
                {
                    rtnStr = rtnStr + ",A.RULE ";
                }
                if (this.chk_jhq.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(C.SENDBEGINDATE,'YYYY-MM-DD') ";
                }
                if (this.chk_DZ.Checked)
                {
                    rtnStr = rtnStr + ",C.STATIONCODE ";
                }
                if (this.chk_shdw.Checked)
                {
                    rtnStr = rtnStr + ",C.INCEPTCORPCODE ";
                }
                //				if(this.chk_rzjg.Checked)
                //				{
                //					rtnStr = rtnStr + ",C.CHECKORG "; 
                //				}
                if (this.chk_FaceQuanlity.Checked)
                {
                    rtnStr = rtnStr + ",A.FACEQUALITY,A.BUGREASON,A.DEGRADEREASON ";
                }
                if (this.chk_StatInTime.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD'),A.INSTEEL,A.INCLASSTEAM ";
                }
                if (this.Chk_StatPrd.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD'),A.PCLASSTEAM ";
                }
                if (this.ultchkcplx.Checked)
                {

                    rtnStr = rtnStr + ", a.PRODUCT_NAME  ";
                }
                if (this.chk_StatBilletID.Checked)
                {
                    rtnStr = "";
                    rtnList.Add("");
                    return rtnList;
                }

                rtnList.Add(rtnStr);
                return rtnList;

            }
        }
        public System.Collections.ArrayList SelectStr
        {
            get
            {
                System.Collections.ArrayList rtnList = new ArrayList();
                string rtnStr = _SelectStr;
                if (this.chk_StatSendOnly.Checked)//仅发运信息
                {
                    return null;
                }
                if (this.chk_StatButtress.Checked)
                {
                    rtnStr = rtnStr + ",B.BUTTRESS ";
                }
                if (this.chk_StatRollNO.Checked)
                {
                    rtnStr = rtnStr + ",A.ROLLNUMBER ";
                }
                if (this.chk_YLZL.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT STUFFWEIGHT FROM RPTTMP_ZB_TURNOFFQUALITY WHERE BILLETID = A.BILLETID) STUFFWEIGHT ";
                }


                if (this.chk_ysfs.Checked)
                {
                    rtnStr = rtnStr + ",decode(C.TRANSTYPE,'101101','火车','101102','汽车','101103','水运','101104','自提')TRANSTYPE  ";
                }
                if (this.uchk_Steel.Checked)
                {
                    rtnStr = rtnStr + ",A.DETERMINANTCARDNUMBER ";

                }
                if (this.chk_RCL.Checked)
                {
                    rtnStr = rtnStr + ",A.RCL_STATE ";

                }
                if (this.uchk_InSteel.Checked)
                {
                    rtnStr = rtnStr + ",A.Insteel INSTROAGESTEEL ";

                }

                if (this.uchk_FSteel.Checked)
                {
                    rtnStr = rtnStr + ",c.MULTISTEELNAME ";

                }
                if (this.uck_Pactno.Checked)
                {
                    rtnStr = rtnStr + ",c.PACTNO ";

                }
                if (this.chk_JHZT.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT MEMO FROM SCM_BASE_INFO WHERE ID_= SEL_PUBLIC_K.FSEL_GETSTANDROLL_STATUS(NVL(C.STANDROLLER,'0')))JHZT ";

                }
                if (this.chk_StatPlanNO.Checked)
                {
                    rtnStr = rtnStr + ",C.PACTINDEX ";
                }
                if (this.chk_SYSJ.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR((SELECT MAX(T1.RECEIVETIME) FROM LH_SAMPLE_CONSIGN_MAIN T1 RIGHT JOIN LH_SAMPLE_CONSIGN_DETAIL T2 ON T1.WTBH = T2.WTBH WHERE T2.PID_MB_CB_ID = a.BILLETID), 'YYYY-MM-DD HH24:MI:SS')RECEIVETIME";
                    //CrtnStr = CrtnStr + ",TO_CHAR((SELECT MAX(T1.RECEIVETIME) FROM LH_SAMPLE_CONSIGN_MAIN T1 RIGHT JOIN LH_SAMPLE_CONSIGN_DETAIL T2 ON T1.WTBH = T2.WTBH WHERE T2.PID_MB_CB_ID = a.BILLETID), 'YYYY-MM-DD HH24:MI:SS')RECEIVETIME";
                }
                if (this.chk_OPlanNOStat.Checked)
                {
                    rtnStr = rtnStr + ",A.PLANNO PLANNUMBER ";
                }
                if (this.chk_NOrderNOStat.Checked)
                {
                    rtnStr = rtnStr + ",A.ORDERNO ALLOTORDERFORM ";
                }
                if (this.chk_OOrderNOStat.Checked)
                {
                    rtnStr = rtnStr + ",A.PLANORDERNO PLANORDERFORM ";
                }
                if (this.chk_StatCondole.Checked)
                {
                    rtnStr = rtnStr + ",B.CONDOLENUMBER ";
                    if (rtnStr.IndexOf("THEORYWEIGHTZL") > 0)
                    {
                        rtnStr.Replace(" A.THEORYWEIGHT THEORYWEIGHTZL  ,", " ");
                    }
                }
                if (this.chk_StatDeteMarHeat.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.DETECTMARBOOKIN) DETECTMARBOOKIN ";
                }
                if (this.chk_HeatStat.Checked)
                {
                    rtnStr = rtnStr + ",DECODE(A.HEATDEAL,'1','√',NULL) HEATDEAL ";
                }
                if (this.chk_StatResult.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.DETERMINANTRESULT) DETERMINANTRESULT,A.DETERMINANTREASON,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.JUDGEEASONCODE) JUDGEEASONCODE ";
                }
                if (this.chk_StatOrgan.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=C.CHECKORG) ATTESTATIONORGAN,A.ATTESTATIONRESULT ";
                }
                if (this.chk_PlyStat.Checked)
                {
                    rtnStr = rtnStr + ",A.PLY ";
                }
                if (this.chk_WidthStat.Checked)
                {
                    rtnStr = rtnStr + ",A.WIDTH ";
                }
                if (this.chk_LengthStat.Checked)
                {
                    rtnStr = rtnStr + ",A.LENGTH ";
                }
                if (this.Chk_StatStoveNO.Checked)
                {
                    rtnStr = rtnStr + ",A.STOVENO ";
                }
                if (this.Chk_StatRemark.Checked)
                {
                    rtnStr = rtnStr + ",B.HANDREMARK ";
                }
                if (this.chk_StatCutSide.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.CLIPTYPEPROCESS) CUTSIDESTATE ";
                }
                if (this.chk_StatRole.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.RULE) ROLE ";
                }
                if (this.chk_jhq.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(C.SENDBEGINDATE,'YYYY-MM-DD') SENDBEGINDATE ";
                }
                if (this.chk_DZ.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT STATIONNAME FROM SEL_STATIONINFO WHERE STATIONCODE = C.STATIONCODE) STATIONCODE ";
                }
                if (this.chk_shdw.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT INCEPTCORPNAME FROM SEL_INCEPTCORPINFO WHERE INCEPTCORPCODE = C.INCEPTCORPCODE) INCEPTCORPCODE ";
                }
                //				if(this.chk_rzjg.Checked)
                //				{
                //					rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_ = C.CHECKORG) CHECKORG "; 
                //				}
                if (this.chk_FaceQuanlity.Checked)
                {
                    rtnStr = rtnStr + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.FACEQUALITY) FACEQUALITY"
                        + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.BUGREASON) BUGREASON"
                        + ",(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.DEGRADEREASON) DEGRADEREASON ";
                }
                if (this.chk_StatInTime.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(A.INTIME,'YYYY-MM-DD') INSTORAGETIME,A.INSTEEL INSTROAGESTEEL,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.INCLASSTEAM) INCLASSTEAM ";
                }
                if (this.Chk_StatPrd.Checked)
                {
                    rtnStr = rtnStr + ",TO_CHAR(A.PTIME,'YYYY-MM-DD') PTIME,(SELECT NAME_ FROM SCM_BASE_INFO WHERE ID_=A.PCLASSTEAM) PCLASSTEAM ";
                }
                if (ultchkcplx.Checked)
                {
                    rtnStr = rtnStr + ",(select name_ from scm_base_info where id_ = a.PRODUCT_NAME) PRODUCT_NAME ";
                }
                if (this.chk_StatBilletID.Checked)
                {
                    rtnStr = rtnStr + ",A.BILLETID,1 QUANTITY,A.THEORYWEIGHT ";
                }
                else
                {
                    rtnStr = rtnStr + ",COUNT(A.BILLETID) QUANTITY,SUM(A.THEORYWEIGHT) THEORYWEIGHT  ";
                }
                rtnStr = rtnStr + _FromStr;
                rtnList.Add(rtnStr);
                return rtnList;

            }
        }
		
		#endregion
	}
}
